获取应用参数
curl --request GET \
--url https://{api_base_url}/parameters \
--header 'Authorization: Bearer <token>'import requests
url = "https://{api_base_url}/parameters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{api_base_url}/parameters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"opening_statement": "Hello! How can I help you today?",
"suggested_questions": [
"What can you do?",
"Tell me about your features."
],
"suggested_questions_after_answer": {
"enabled": true
},
"speech_to_text": {
"enabled": false
},
"text_to_speech": {
"enabled": false,
"voice": "alloy",
"language": "en-US",
"autoPlay": "disabled"
},
"retriever_resource": {
"enabled": true
},
"annotation_reply": {
"enabled": false
},
"more_like_this": {
"enabled": false
},
"sensitive_word_avoidance": {
"enabled": false
},
"user_input_form": [
{
"text-input": {
"label": "City",
"variable": "city",
"required": true,
"default": ""
}
}
],
"file_upload": {
"image": {
"enabled": true,
"number_limits": 3,
"detail": "high",
"transfer_methods": [
"remote_url",
"local_file"
]
}
},
"system_parameters": {
"file_size_limit": 15,
"image_file_size_limit": 10,
"audio_file_size_limit": 50,
"video_file_size_limit": 100,
"workflow_file_upload_limit": 10
}
}{
"status": 400,
"code": "app_unavailable",
"message": "App unavailable, please check your app configurations."
}应用配置
获取应用参数
获取应用的输入表单配置,包括功能开关、输入参数名称、类型和默认值。
GET
/
parameters
获取应用参数
Authorizations
API Key 认证。对于所有 API 请求,请在 Authorization HTTP 头中包含您的 API Key,并加上 Bearer 前缀。示例:Authorization: Bearer {API_KEY}。强烈建议将 API Key 存储在服务端,不要在客户端共享或存储,以避免 API Key 泄漏导致严重后果。
Response
应用参数信息。
开始时显示的开场白。
建议的初始问题列表。
回答后建议问题的配置。
Show child attributes
Show child attributes
语音转文字配置。
Show child attributes
Show child attributes
文字转语音配置。
Show child attributes
Show child attributes
检索资源配置。
Show child attributes
Show child attributes
标注回复配置。
Show child attributes
Show child attributes
更多类似内容配置。
Show child attributes
Show child attributes
敏感词过滤配置。
Show child attributes
Show child attributes
用户输入表单元素列表。
- Text Input
- Paragraph
- Select
Show child attributes
Show child attributes
文件上传配置。
Show child attributes
Show child attributes
系统级参数和限制。
Show child attributes
Show child attributes
⌘I